SUBDIRS = . plugins

bin_PROGRAMS = qlcrash

qlcrash_SOURCES = avl.cpp cchildmanagerbase.cpp cconfigmanager.cpp \
	cdumpview.cpp cdumpviewdisplay.cpp cgraphbutton.cpp cgraphlabel.cpp \
	cgraphmanager.cpp cgraphobject.cpp chelpabout.cpp chelpbrowser.cpp \
	chotkey.cpp clistview.cpp clistviewitem.cpp cmainwin.cpp \
	cnconsole.cpp cnumberofelementsdialog.cpp cpaintarea.cpp \
	cpreferencesdialog.cpp cprintexprdialog.cpp cs390dbf.cpp \
	csearchlistdialog.cpp csplash.cpp cstring.cpp ctableview.cpp \
	ctaskbar.cpp ctaskbutton.cpp ctextring.cpp ctoolbutton.cpp \
	ctrace.cpp ctrace_priv.cpp ctracelowcore.cpp ctreeview.cpp \
	cwalkexpressiondialog.cpp cwalknavigator.cpp gram.cpp main.cpp \
	cchildmanager.cpp parser.cpp qlcrash.cpp qlcrashdoc.cpp \
	resourceadapter.cpp strset.cpp structviewitem.cpp whatis.cpp

noinst_HEADERS = avl.h caction.h cchildimplementation.h cchildmanagerbase.h \
	cconfigmanager.h cdisassemble.h cdumpview.h cdumpviewdisplay.h \
	cgraphbutton.h cgraphlabel.h cgraphmanager.h cgraphobject.h \
	chelpabout.h chelpbrowser.h chotkey.h clistview.h clistviewitem.h \
	cmainwin.h cnconsole.h cnumberofelementsdialog.h cpaintarea.h \
	cpreferencesdialog.h cprintexprdialog.h crashtypes.h cs390dbf.h \
	csearchlistdialog.h csplash.h cstring.h csymtabitem.h ctableview.h \
	ctaskbar.h ctaskbutton.h ctaskitem.h ctextrange.h ctextring.h \
	ctoolbutton.h ctrace.h ctrace_priv.h ctraceitem.h ctracelowcore.h \
	ctreeview.h cwalkexpressiondialog.h cwalknavigator.h gram.h \
	lemon.h cchildmanager.h osdep.h parser.h qlcrash.h qlcrashdoc.h \
	resourceadapter.h strset.h structviewitem.h whatis.h

INTERFACES =
TRANSLATIONS = qlcrash_de.ts
TRANSOUTPUT = $(patsubst %.ts,%.qm,$(TRANSLATIONS))
KDE_OPTIONS = qtonly
qlcrash_LDADD   =  $(LIB_QT) -lXext -lX11 $(LIBSOCKET) -ldl


EXTRA_DIST = array.xpm begin.xpm close.xpm close2.xpm console.xpm disc.xpm \
	dump.xpm end.xpm fastdownarrow.xpm fastleftarrow.xpm \
	fastrightarrow.xpm fastuparrow.xpm filenew.xpm fileopen.xpm \
	filesave.xpm home.xpm layout.xpm left.xpm next.xpm pointer.xpm \
	preferences.xpm prev.xpm print.xpm right.xpm s390dbf.xpm scalar.xpm \
	slowdownarrow.xpm slowleftarrow.xpm slowrightarrow.xpm \
	slowuparrow.xpm struct.xpm symbol.xpm tasklist.xpm trace.xpm \
	viewmany.xpm viewone.xpm gram.y whatis.y \
	$(TRANSLATIONS) $(TRANSOUTPUT)

pkgdata_DATA = lo16-app-qlcrash.png lo32-app-qlcrash.png logo-small.png \
	logo.png plugin_activated.png plugin_configured.png \
	plugin_unconfigured.png qlcrash.conf $(TRANSOUTPUT)

%.cpp: %.y
	$(top_srcdir)/lemon/lemon $<
	sed 's/$*.c/$@/g' < $*.c > $@
	rm -f $*.c

# set the include path for X, qt and KDE
INCLUDES= $(all_includes)

qlcrash_METASOURCES = AUTO

# the library search path. 
qlcrash_LDFLAGS = $(all_libraries) 

DISTCLEANFILES = $(qlcrash_METASOURCES) *~ .\#*

MAINTAINERCLEANFILES = Makefile.in
